--
-- $Id$
--
-- Verwijderen van _Default groep bij personen met functie Delft of in autorisatiegroep Delft

DEFINE thisfile = 'AADS#51451.SQL'
DEFINE dbuser   = '^AADS'
DEFINE custid   = 'AADS'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

DELETE FROM fac_gebruikersgroep
      WHERE fac_gebruikersgroep_key IN
                  (SELECT DISTINCT fg.fac_gebruikersgroep_key
                     FROM fac_gebruikersgroep fg,
                          prs_perslid p,
                          fac_groep g,
                          prs_srtperslid psp
                    WHERE     fg.fac_groep_key = 1
                          AND p.prs_perslid_key = fg.prs_perslid_key
                          AND g.fac_groep_key = fg.fac_groep_key
                          AND psp.prs_srtperslid_key = p.prs_srtperslid_key
                          AND (psp.prs_srtperslid_upper LIKE '%DELFT%'
                               OR fg.prs_perslid_key IN
                                       (SELECT DISTINCT prs_perslid_key
                                          FROM fac_gebruikersgroep fg2,
                                               fac_groep g2
                                         WHERE g2.fac_groep_key =
                                                  fg2.fac_groep_key
                                               AND g2.fac_groep_upper LIKE
                                                     '%DELFT%')));

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile